FORUMS

PSA: You Can Optimize Your Note 4’s Recents Menu & RAM

The Note 4 never had the fastest Recents Menu, and despite its 3GB of RAM, … more

XDA Picks: Best Apps of the Week (July 25 – Aug 1)

Apps are at the front and center of any smartphone experience, and with over a … more

Voices Of XDA: Orbiting The Earth With Android

Editor’s note: This week’s feature has been written by forum … more

CloudPlayer: DIY HiFi Music Streaming Solution

In our Helpful Guide to Music Streaming Services, we mentioned several different services … more

How to install Google Currents (and other apps requiring the maps framework)

71 posts
Thanks Meter: 68
 
By rooobbbbb, Member on 8th December 2011, 11:00 PM
Post Reply Subscribe to Thread Email Thread
I was able to install Google Currents by manually adding the framework from the gapps zip normally used by CM7 and other roms.

I've included a maps-framework-kfire.zip modified zip (maps-framework-kfire) file with only the files you need. The files are in the folders necessary inside the zip. As we can't flash zips from recovery like other devices yet (that I know of) you'll have to put the files in manually. As this uses google services you probably need to have GoogleServicesFramework.apk installed already in your /system/apps directory (to do this if you haven't either install the market which will include this step or transfer the GoogleServicesFramework.apk there and chmod to 644 like the others below [do this before you reboot as it will be required])

1. Extract the zip file on your computer
2. Copy the extracted files to your device
3. Copy com.google.android.maps.jar into /system/framework via ADB or Root Explorer
4. Chmod (long hold select file in Root Explorer and select permissions) to 644 (owner read/write, group read, others read)
5. Copy com.google.android.maps.xml to /system/etc/permissions the same way
6. Chmod that file to the same permissions
7. Restart your Fire to allow it to recognize the new framework
8. Install this APK Google_Currents_1.0.apk
9. Open the app and select your Google account to continue

This should also allow any other apps to install that require this framework.
The Following 46 Users Say Thank You to rooobbbbb For This Useful Post: [ View ]
 
 
8th December 2011, 11:47 PM |#2  
Member
Flag Cologne
Thanks Meter: 5
 
More
Works like a charm, thx a lot.
9th December 2011, 12:41 AM |#3  
neilrl79's Avatar
Senior Member
Flag Maryland
Thanks Meter: 175
 
Donate to Me
More
Good write up. Thanks.
9th December 2011, 12:53 AM |#4  
Junior Member
Thanks Meter: 0
 
More
works very well. Good instructions.

thanks
9th December 2011, 02:26 AM |#5  
Member
Thanks Meter: 18
 
More
Worked perfectly, you rock rooobbbbb, thanks a million!!
9th December 2011, 05:40 AM |#6  
Senior Member
Thanks Meter: 38
 
More
Excellent find and easy to follow instructions. Thank you!
9th December 2011, 12:17 PM |#7  
Junior Member
Thanks Meter: 0
 
More
excellent, and now OpenTable installs too! thank you!
9th December 2011, 02:08 PM |#8  
californiarailroader's Avatar
Senior Member
Flag Redwood Valley, Northwestern California (Previous-Pocatello, Idaho(90-97)/Southern California(71-90)
Thanks Meter: 487
 
More
Quote:
Originally Posted by Glasairmell

Excellent find and easy to follow instructions. Thank you!

Ditto from me!
The Following User Says Thank You to californiarailroader For This Useful Post: [ View ]
9th December 2011, 02:13 PM |#9  
OP Member
Thanks Meter: 68
 
More
Happy I could help guys and gals.

Sent from my Kindle Fire using xda premium
9th December 2011, 02:26 PM |#10  
Senior Member
Thanks Meter: 52
 
More
You rock dude!
The Following User Says Thank You to rmagruder For This Useful Post: [ View ]
9th December 2011, 04:02 PM |#11  
-Zeta-'s Avatar
Member
Thanks Meter: 9
 
More
done, thanks very much!!
Last edited by -Zeta-; 9th December 2011 at 04:24 PM.

Read More
Post Reply Subscribe to Thread
Previous Thread Next Thread
Thread Tools
Display Modes